
.nav-item {
    height: 100%;
    display: flex;
    align-items: center;
    position: relative;
}

.nav-item > a {
    display: flex;
    align-items: center;
    gap: 7px;
}

.nav-item > a i {
    font-size: 12px;
}


/* PRODUCTS MEGA MENU */

.mega-parent {
    position: static;
}

.mega-menu {
   position: absolute;
    top: 80px;
    left: 50%;
    width: min(1560px, calc(100% - 70px));
    padding: 15px 15px 15px;
    background: #ffffff;
    border: 1px solid #e2e7ed;
    border-radius: 20px;
    box-shadow: 0 20px 50px rgba(20, 50, 80, 0.15), 0 4px 15px rgba(20, 50, 80, 0.06);
    opacity: 0;
    visibility: hidden;
    transform:
        translateX(-50%)
        translateY(15px);
    transition:
        opacity 0.25s ease,
        transform 0.25s ease,
        visibility 0.25s;
    z-index: 9999;
}

/* DESKTOP SHOW */

.mega-parent:hover .mega-menu {
    opacity: 1;
    visibility: visible;
    transform:translateX(-50%) translateY(0);
}

/* MEGA CONTENT */

.mega-content {
    display: grid;
    grid-template-columns:
        1.05fr
        1fr
        1fr
        1.08fr;
    gap: 24px;
}

.mega-column {
    padding-right: 20px;
    border-right: 1px solid #dfe4ea;
}

.mega-column:last-of-type {
    border-right: 0;
}

/* COLUMN TITLE */

.column-title {
    height: 25px;
    display: flex;
    align-items: center;
    gap: 14px;
    color: #172033;
    font-size: 14px;
    font-weight: 700;
}

.column-title i {
    color: #0878df;
    font-size: 16px;
}

/* MEGA ITEM */

.mega-item{
    width: 100%;
    display: flex;
    align-items: center;
    min-height: 70px;
    padding: 5px 15px;
    margin-bottom: 8px;
    color: #111111;
    text-decoration: none;
    border-radius: 9px;
    border: 1px solid #e1e5ea;
    transition:
        background 0.2s,
        border 0.2s,
        transform 0.2s,
        box-shadow 0.2s;
}

.mega-item:hover{
    background: #f5faff;
    border-color: #d6e7f9;
    transform: translateX(2px);
    box-shadow:0 4px 15px rgba(30, 100, 170, 0.06);
}

/* ITEM ICON */

.item-icon {
    width: 35px;
    height: 35px;
    min-width: 40px;
    margin-right: 10px;
    border-radius: 14px;
    background: linear-gradient(145deg, #f4f9ff, #eaf3fc);
    display: flex;
    align-items: center;
    justify-content: center;
    color: #0878dc;
    font-size: 16px;
}

/* ITEM CONTENT */

.item-content {
    flex: 1;
}

.item-title {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
    /* margin-bottom: 7px; */
    font-size: 13px;
    font-weight: 700;
}

.item-description {
    color: #596575;
    font-size: 12px;
    line-height: 1.35;
}

/* BADGE */

.badge {
    background: #e2f0ff;
    color: #0873dc;
    padding: 4px 9px;
    border-radius: 6px;
    font-size: 10px;
    font-weight: 700;
}

/* ARROW */

.arrow {
    margin-left: 10px;
    color: #0878df;
    font-size: 12px;
}

/* PROMO */

.mega-promo {
    min-height: 400px;
    padding: 38px 40px 20px;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    background:linear-gradient( 145deg, #f4f9ff, #eaf4fd);
}

.promo-small {
    margin-bottom: 18px;
    color: #076de0;
    font-size: 12px;
    font-weight: 600;
}

.mega-promo h2 {
    margin-bottom: 15px;
    color: #20324c;
    font-size: 18px;
    line-height: 1.3;
}

.mega-promo h4 {
    margin-bottom: 7px;
    font-size: 12px;
}

.mega-promo p {
    margin-bottom: 24px;
    color: #4e5b6b;
    font-size: 12px;
}

/* PROMO BUTTON */

.promo-btn {
    display: inline-flex;
    align-items: center;
    gap: 13px;
    color: #ffffff;
    text-decoration: none;
    font-size: 12px;
    font-weight: 600;
    background: linear-gradient(90deg, #0878df, #096ad2);
    background-color: #02A8EB;
    border-radius: 3px 3px 3px 3px;
    box-shadow: 4px 4px 0px 0px rgba(0, 0, 0, 0.2);
    padding: 5px 20px 10px 30px;
}

.promo-btn i {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background: #ffffff;
    color: #0878df;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* PROMO GRAPHIC */

.promo-image {
    position: absolute;
    left: 0;
    width: 100%;
    height: 150px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.laptop {
    width: 180px;
    height: 100px;
    border: 8px solid #d9e6f5;
    border-radius: 8px 8px 4px 4px;
    background: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #1479dd;
    font-size: 45px;
    box-shadow: 0 10px 25px rgba(40, 90, 140, 0.15);
}

.phone {
    width: 45px;
    height: 90px;
    margin-left: -12px;
    border-radius: 10px;
    background: #0b69d0;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 25px;
    z-index: 3;
}

.headset {
    position: absolute;
    left: 38px;
    bottom: 8px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: #e6f2ff;
    color: #0878dc;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
}

/* MEGA FOOTER */

/* .mega-footer {
    min-height: 70px;
    padding: 0px 30px;
    display: flex;
    align-items: center;
    gap: 20px;
    border-radius: 10px;
    background: #f3f8fe;
} 

.help-icon {
    width: 62px;
    height: 62px;
    min-width: 62px;
    border-radius: 14px;
    background: #e5f1ff;
    color: #0878dc;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 25px;
}

.help-text {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.help-text strong {
    font-size: 17px;
}

.help-text span {
    color: #596575;
    font-size: 14px;
} */

/* FOOTER ACTION */

/* .footer-action {
    min-width: 280px;
    padding-left: 35px;
    display: flex;
    align-items: center;
    gap: 15px;
    text-decoration: none;
    border-left: 1px solid #c9d5e2;
}

.footer-action > i {
    color: #0878dc;
    font-size: 21px;
}

.footer-action div {
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.footer-action strong {
    color: #0870dc;

    font-size: 16px;
}

.footer-action span {
    color: #596575;
    font-size: 13px;
} */

/* INSIGHTS DROPDOWN */

.insights-parent {
    position: relative;
}

.insights-dropdown {
    position: absolute;
    top: calc(100% - 1px);
    left: 50%;
    width: 290px;
    padding: 10px;
    background: #ffffff;
    border: 1px solid #e4e9ef;
    border-radius: 12px;
    box-shadow:
        0 15px 40px rgba(20, 50, 80, 0.15),
        0 3px 10px rgba(20, 50, 80, 0.06);
    opacity: 0;
    visibility: hidden;
    transform:
        translateX(-50%)
        translateY(15px);
    transition:
        opacity 0.2s ease,
        transform 0.2s ease,
        visibility 0.2s;
    z-index: 9999;
}

/* DESKTOP SHOW */

.insights-parent:hover .insights-dropdown {
    opacity: 1;
    visibility: visible;
    transform: translateX(-50%) translateY(0);
}

/* INSIGHTS ITEM */

.insights-dropdown a {
    position: relative;
    display: flex;
    align-items: center;
    gap: 14px;
    padding: 8px;
    color: #172033;
    text-decoration: none;
    border-radius: 8px;
    transition: 0.2s;
}

.insights-dropdown a:hover {
    background: #f3f8ff;
    color: #0878dc;
}

.dropdown-icon {
    width: 43px;
    height: 43px;
    min-width: 43px;
    border-radius: 10px;
    background: #edf6ff;
    color: #0878dc;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
}

.dropdown-text {
    display: flex;
    flex-direction: column;
    gap: 4px;
    flex: 1;
}

.dropdown-text strong {
    font-size: 15px;
}

.dropdown-text small {
    color: #697586;
    font-size: 12px;
}

.insights-dropdown a::after {
    content: "\f054";
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    color: #0878dc;
    font-size: 11px;
}

/* Services */

.services-parent {
    position: relative;
}

.services-dropdown {
    position: absolute;
    top: calc(100% - 1px);
    left: 50%;
    width: 290px;
    padding: 10px;
    background: #ffffff;
    border: 1px solid #e4e9ef;
    border-radius: 12px;
    box-shadow:
        0 15px 40px rgba(20, 50, 80, 0.15),
        0 3px 10px rgba(20, 50, 80, 0.06);
    opacity: 0;
    visibility: hidden;
    transform:
        translateX(-50%)
        translateY(15px);
    transition:
        opacity 0.2s ease,
        transform 0.2s ease,
        visibility 0.2s;
    z-index: 9999;
}

.services-parent:hover .services-dropdown {
    opacity: 1;
    visibility: visible;
    transform: translateX(-50%) translateY(0);
}

.services-dropdown a {
    position: relative;
    display: flex;
    align-items: center;
    gap: 14px;
    padding: 8px;
    color: #172033;
    text-decoration: none;
    border-radius: 8px;
    transition: 0.2s;
}

.services-dropdown a:hover {
    background: #f3f8ff;
    color: #0878dc;
}

.services-dropdown a::after {
    content: "\f054";
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    color: #0878dc;
    font-size: 11px;
}


/* Industries */

.industries-parent {
    position: static;
}

.industries-menu {
   position: absolute;
    top: 80px;
    left: 50%;
    width: min(1560px, calc(100% - 500px));
    padding: 15px 15px 15px;
    background: #ffffff;
    border: 1px solid #e2e7ed;
    border-radius: 20px;
    box-shadow: 0 20px 50px rgba(20, 50, 80, 0.15), 0 4px 15px rgba(20, 50, 80, 0.06);
    opacity: 0;
    visibility: hidden;
    transform:
        translateX(-50%)
        translateY(15px);
    transition:
        opacity 0.25s ease,
        transform 0.25s ease,
        visibility 0.25s;
    z-index: 9999;
}

/* DESKTOP SHOW */

.industries-parent:hover .industries-menu {
    opacity: 1;
    visibility: visible;
    transform:translateX(-50%) translateY(0);
}

/* MEGA CONTENT */

.industries-content {
    display: grid;
    grid-template-columns:
        1.05fr
        1fr
        1fr;
    gap: 24px;
}

.industries-column {
    padding-right: 20px;
    border-right: 1px solid #dfe4ea;
}

.industries-column:last-of-type {
    border-right: 0;
}

/* MEGA ITEM */

.industries-item{
    width: 100%;
    display: flex;
    align-items: center;
    min-height: 70px;
    padding: 5px 15px;
    margin-bottom: 8px;
    color: #111111;
    text-decoration: none;
    border-radius: 9px;
    border: 1px solid #e1e5ea;
    transition:
        background 0.2s,
        border 0.2s,
        transform 0.2s,
        box-shadow 0.2s;
}

.industries-item:hover{
    background: #f5faff;
    border-color: #d6e7f9;
    transform: translateX(2px);
    box-shadow:0 4px 15px rgba(30, 100, 170, 0.06);
}

/* ITEM ICON */

.industries-icon {
    width: 35px;
    height: 35px;
    min-width: 40px;
    margin-right: 10px;
    border-radius: 14px;
    background: linear-gradient(145deg, #f4f9ff, #eaf3fc);
    display: flex;
    align-items: center;
    justify-content: center;
    color: #0878dc;
    font-size: 16px;
}

/* ITEM CONTENT */

.industries-content {
    flex: 1;
}




/*PAGE CONTENT */

.page-content {
    min-height: 500px;
    padding: 100px 30px;
    text-align: center;
}

.page-content h1 {
    margin-bottom: 20px;
    color: #172033;
    font-size: 42px;
}

.page-content p {
    color: #596575;
    font-size: 18px;
}


.main-header {
    width: 100%;
    background: #ffffff;
    position: relative;
    z-index: 1000;
    border-bottom: 1px solid #eeeeee;
}

.header-inner {
    width: 100%;
    max-width: 1540px;
    height: 80px;
    margin: 0 auto;
    padding: 0 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 35px;
}

/* LOGO */

.logo {
    flex: 0 0 auto;
    display: flex;
    align-items: center;
}

.logo a {
    display: flex;
    align-items: center;
    text-decoration: none;
}

.logo img {
    width: auto;
    max-width: 205px;
    height: auto;
    max-height: 65px;
    display: block;
}

/* MAIN NAVIGATION */

.main-nav {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

/* TOP LEVEL LINKS ONLY */

.main-nav > a,
.main-nav > .nav-item > a {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    color: #111111;
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
    white-space: nowrap;
    transition:color 0.2s ease;
}

/* HOVER */

.main-nav > a:hover,
.main-nav > .nav-item > a:hover {
    color: #0878dc;
}

.demo-btn {
    flex: 0 0 auto;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 145px;
    padding: 8px;
    color: #ffffff !important;
    background: linear-gradient(90deg, #0b9fe7, #0785d5);
    border-radius: 5px;
    box-shadow:4px 4px 0 rgba(0, 0, 0, 0.15) !important;
    text-decoration: none;
    font-size: 15px;
    font-weight: 700;
    white-space: nowrap;
    transition:
        transform 0.2s ease,
        box-shadow 0.2s ease,
        background 0.2s ease;
}

.demo-btn:hover {
    color: #ffffff !important;
    background: linear-gradient(90deg, #078bd5, #056fbd);
    transform: translateY(-1px);
    box-shadow:4px 5px 0 rgba(0, 0, 0, 0.18);
}

/* MOBILE BUTTON */

.mobile-menu-btn {
    display: none;
    width: 45px;
    height: 45px;
    padding: 0;
    border: 0;
    background: transparent;
    color: #0878dc;
    font-size: 25px;
    cursor: pointer;
}

/* 1200px */

@media (max-width: 1200px) {
    .main-nav {
        gap: 20px;
    }
    .main-nav > a,
    .nav-item > a {
        font-size: 16px;
    }
    .demo-btn {
        padding: 13px 20px;
        font-size: 15px;
    }
    .mega-menu {
        width: calc(100% - 30px);
    }
    .mega-content {
        grid-template-columns: 1fr 1fr;
    }

    .industries-menu {
        width: calc(100% - 30px);
    }
    .industries-content {
        grid-template-columns: 1fr 1fr;
    }

    .mega-promo {
        grid-column: span 2;
        min-height: 300px;
    }
    .promo-image {
        height: 130px;
    }
    .mega-footer {
        flex-wrap: wrap;
    }
}


/* 900px - MOBILE */

@media (max-width: 900px) {

    /* TOP BAR */
    .top-bar {
        min-height: 55px;
        padding: 10px 20px;
        flex-direction: column;
        gap: 10px;
    }
    .top-left {
        gap: 15px;
        justify-content: center;
        flex-wrap: wrap;
    }
    .top-left span {
        font-size: 13px;
    }
    .social-icons {
        gap: 18px;
    }

    /* HEADER */

    .header-inner {
        height: 75px;
        padding: 0 20px;
    }
    .logo-placeholder {
        font-size: 24px;
    }

    /* MOBILE BUTTON */

    .mobile-menu-btn {
        display: block;
        margin-left: auto;
        margin-right: 0;
    }


    /* NAV */

    .main-nav {
        position: absolute;
        top: 75px;
        left: 0;
        width: 100%;
        height: auto;
        padding: 15px 20px;
        display: none;
        flex-direction: column;
        align-items: stretch;
        gap: 0;
        background: #ffffff;
        box-shadow: 0 10px 25px rgba(0, 0, 0, 0.12);
    }

    .main-nav.active {
        display: flex;
    }

    .main-nav > a,
    .nav-item > a {
        padding: 15px;
        font-size: 16px;
    }

    .nav-item {
        height: auto;
        display: block;
    }

    /* MOBILE PRODUCTS */

    .mega-menu {
        position: static;
        width: 100%;
        padding: 15px 0;
        display: none;
        opacity: 1;
        visibility: visible;
        transform: none !important;
        border: 0;
        border-radius: 0;
        box-shadow: none;
    }

    .mega-parent.mobile-open .mega-menu {
        display: block;
    }

    .mega-content {
        grid-template-columns: 1fr;
        gap: 10px;
    }

    .mega-column {
        padding-right: 0;
        padding-bottom: 15px;
        border-right: 0;
        border-bottom: 1px solid #dddddd;
    }

    .industries-menu {
        position: static;
        width: 100%;
        padding: 15px 0;
        display: none;
        opacity: 1;
        visibility: visible;
        transform: none !important;
        border: 0;
        border-radius: 0;
        box-shadow: none;
    }

    .industries-parent.mobile-open .industries-menu {
        display: block;
    }

    .industries-content {
        grid-template-columns: 1fr;
        gap: 10px;
    }

    .industries-column {
        padding-right: 0;
        padding-bottom: 15px;
        border-right: 0;
        border-bottom: 1px solid #dddddd;
    }

    .mega-promo {
        grid-column: auto;
        min-height: 300px;
        padding: 25px;
    }


    .mega-footer {
        flex-direction: column;
        align-items: flex-start;
        padding: 25px;
    }


    .footer-action {
        width: 100%;
        min-width: 0;
        padding: 20px 0 0;
        border-left: 0;
        border-top: 1px solid #d2dce7;
    }

    /* MOBILE INSIGHTS */

    .insights-parent {
        height: auto;
        display: block;
    }

    .insights-dropdown {
        position: static;
        width: 100%;
        padding: 0 0 0 15px;
        display: none;
        opacity: 1;
        visibility: visible;
        transform: none;
        border: 0;
        border-radius: 0;
        box-shadow: none;
    }

    .insights-parent.mobile-open .insights-dropdown {
        display: block;
        transform: translateX(-5%) translateY(0);
    }

    .insights-dropdown a {
        padding: 10px;
    }

    /* Services */

    .services-parent {
        height: auto;
        display: block;
    }

    .services-dropdown {
        position: static;
        width: 100%;
        padding: 0 0 0 15px;
        display: none;
        opacity: 1;
        visibility: visible;
        transform: none;
        border: 0;
        border-radius: 0;
        box-shadow: none;
    }

    .services-parent.mobile-open .services-dropdown {
        display: block;
        transform: translateX(-5%) translateY(0);
    }

    .services-dropdown a {
        padding: 10px;
    }

    /* Industries */

    .industries-parent {
        height: auto;
        display: block;
    }

    .industries-dropdown {
        position: static;
        width: 100%;
        padding: 0 0 0 15px;
        display: none;
        opacity: 1;
        visibility: visible;
        transform: none;
        border: 0;
        border-radius: 0;
        box-shadow: none;
    }

    .industries-parent.mobile-open .industries-dropdown {
        display: block;
        transform: translateX(-5%) translateY(0);
    }

    .industries-dropdown a {
        padding: 10px;
    }

    /* DEMO */

    .demo-btn {
        display: none;
    }

    /* CONTENT */

    .page-content {
        padding: 70px 20px;
    }
    .page-content h1 {
        font-size: 30px;
    }
}


/* 550px */

@media (max-width: 550px) {
    .logo-placeholder {
        font-size: 21px;
    }
    .mega-menu {
        padding: 10px;
    }
    .mega-item,
    .mega-simple-item {
        min-height: 75px;
    }

    .industries-menu {
        padding: 10px;
    }
    .industries-item,
    .industries-simple-item {
        min-height: 75px;
    }

    .item-icon {
        width: 48px;
        height: 48px;
        min-width: 48px;
        margin-right: 10px;
        font-size: 20px;
    }
    .item-title {
        font-size: 15px;
    }
    .item-description {
        font-size: 12px;
    }
    .mega-promo {
        padding: 25px;
    }
    .mega-promo h2 {
        font-size: 22px;
    }
    .promo-image {
        display: none;
    }
    .help-text span {
        font-size: 12px;
    }
    .page-content h1 {
        font-size: 25px;
    }
}
